# Исользование шрифтов kfont в программах C--

Данные получены, когда я расковырял kf_font_viewer

## Загрузка шрифта

```c
#include <../lib/kfont.h>
```
Это инклуд хедера с функциями. Дальше собственно инициализация шрифта, в колибри я посмотрел, в sys/fonts только один шрифт - Tahoma. И, для него есть макрос DEFAULT_FONT

```c
kfont.init(DEFAULT_FONT);
```

В течении кода можно изменять свойства шрифта - smooth и bold:

```c
kfont.bold = true; // или false
kfont.smooth = true; // или, опять же можно false
```

## Отрисовка

Есть два способа - 
* В буфер, а потом выкинуть буфер в окно

* Сразу в окно

  

  Первый способ я не покажу, так как не очень понял как делать. Второй способ это и есть - в буфер, а потом в окно, но упаковонное в одну функцию:

```c
WriteIntoWindow(int x,y; dword _background, _color; byte font_size; dword text1);
```
## Пример целого кода программы
Это marker, читалка markdown, на данный момент не написана, но начало есть)

```c
#define MEMSIZE 1024*100

#include "../lib/kfont.h"
#include "../lib/gui.h"

char title[] = "Marker v0.0";
char line[256] = "Marker Font Test";
int win_bg_color = 0x000825;

#define fixed 0x34;
#define no_fixed 0x13;
int win_mode = no_fixed;

#define WIN_W 1300
#define WIN_H 750



void main()
{
        proc_info Form;
        
        int id, t_size = 18;
        
        kfont.init(DEFAULT_FONT);
        
        kfont.bold = 1;
		kfont.smooth = 1;
        
        loop() {
			switch(WaitEvent()) {
				case evButton:
                        /* Close button */
                        id = GetButtonID();              
                        if (id == 1) ExitProcess();
                        
                        break;

                case evKey:
                        break;

                case evReDraw:
                        DefineAndDrawWindow(215, 100, WIN_W, WIN_H, win_mode, win_bg_color, #title, 0);
                        kfont.WriteIntoWindow(14, 28, win_bg_color, 0xB0B0B0, t_size, #line); /* WriteIntoWindow(int x,y; dword _background, _color; byte font_size; dword text1) */
                        break;
			}      
        }
}
```
# maxcodehack, 2020 (C)
